%define upstream_name    Algorithm-Evolutionary
%define upstream_version 0.78

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    N-point crossover
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Algorithm/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Algorithm::Permute) >= 0.10.0
BuildRequires: perl(B::Deparse) >= 0.560.0
BuildRequires: perl(Bit::Vector)
BuildRequires: perl(Clone) >= 0.310.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(GD) >= 2.170.0
BuildRequires: perl(Math::Random) >= 0.630.0
BuildRequires: perl(Memoize)
BuildRequires: perl(Object::Array)
BuildRequires: perl(Pod::Escapes)
BuildRequires: perl(Statistics::Basic) >= 1.600.0
BuildRequires: perl(String::Random)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Simple) >= 0.440.0
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(Tree::DAG_Node) >= 1.40.0
BuildRequires: perl(XML::LibXML) >= 1.500.0
BuildRequires: perl(XML::Parser) >= 2.400.0
BuildRequires: perl(XML::Parser::Style::EasyTree)
BuildRequires: perl(YAML)
BuildRequires: perl(constant)
BuildRequires: perl(version)
BuildArch:  noarch

%description
'Algorithm::Evolutionary' is a set of classes for doing object-oriented
evolutionary computation in Perl. Why would anyone want to do that escapes
my knowledge, but, in fact, we have found it quite useful for our own
purposes. Same as Perl itself.

The design principle of Algorithm::Evolutionary is _flexibility_: it should
be very easy to extend using this library, and it should be also quite easy
to program what's already there in the evolutionary computation community.
Besides, the library classes should have persistence provided by XML
modules, and, in some cases, YAML.

The algorithm allows to create simple evolutionary algorithms, as well as
more complex ones, that interface with databases or with the web. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README TODO examples
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*
%{_bindir}/rectangle-coverage.pl
%{_bindir}/tide_bitstring.pl
%{_bindir}/tide_float.pl
%{_bindir}/canonical-genetic-algorithm.pl
%{_mandir}/man1/tide_bitstring.pl.1*
%{_mandir}/man1/tide_float.pl.1*
%{_mandir}/man1/canonical-genetic-algorithm.pl.1*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.780.0-2.mga3
+ Revision: 362851
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 29 2012 kharec <kharec> 0.780.0-1.mga3
+ Revision: 285083
- update to 0.78

  + jquelin <jquelin>
    - update to 0.77
    - update to 0.76
    - update to 0.75
    - mageia rebuild
    - imported package perl-Algorithm-Evolutionary

